KinoSearch1::Search::SearchServer(3pm)

NAME
KinoSearch1::Search::SearchServer - make a Searcher remotely accessible

SYNOPSIS
    my $searcher = KinoSearch1::Searcher->new(
        analyzer => $analyzer,
        invindex => '/path/to/invindex',
    );
    my $server = KinoSearch1::Search::SearchServer->new(
        searchable => $searcher,
        port       => 7890,
        password   => $pass,
    );
    $server->serve;

DESCRIPTION
The SearchServer class, in conjunction with SearchClient, makes it possible to run a search on one machine and report results on another.

By aggregating several SearchClients under a MultiSearcher, the cost of searching what might have been a prohibitively large monolithic index can be distributed across multiple nodes, each with its own, smaller index.

METHODS

  new
Constructor. Takes hash-style parameters.

•   searchable - The Searcher that the SearchServer will wrap.

•   port - the port on localhost that the server should open and listen on.

•   password - a password which must be supplied by clients.

  serve
Open a listening socket on localhost and wait for SearchClients to connect.

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.